## com.eaesthetics.scaleapp
Class MainActivity

    java.lang.Object
      Activity
          com.eaesthetics.scaleapp.MainActivity

    public class MainActivity

extends Activity

Constructor Summary
`MainActivity()`

Method Summary
`void` `bindFinalData()` Called when final data button is clicked.
`void` `bindFiveGramAngle()` Called when the five gram tare angle button is clicked
`void` `bindInitialAngle()` Called when initial tare button is clicked.
`void` `calculateData()` Calculates mass based on data
`void` `debug()` Debug information
`void` `onAccuracyChanged(Sensor mSensor, int accuracy)` Called when the accuracy of the device is changed.
`void` `onCreate(Bundle savedInstanceState)` Called when the activity is first created.
`void` `onDestroy()` Called when the activity is destroyed.
`void` `onPause()` Called when the activity is paused.
`void` `onResume()` Called when the activity is resumed.
`void` `onSensorChanged(SensorEvent event)` Called sensors are changed.
`void` `onStop()` Called when the activity is stopped.
`void` `setButtonClickListener()` Sets the click listeners of the buttons

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MainActivity

    public MainActivity()

Method Detail

### onCreate

    public void onCreate(Bundle savedInstanceState)

  Called when the activity is first created.

  Parameters:
    `savedInstanceState` - the saved instances from the device

### onDestroy

    public void onDestroy()

  Called when the activity is destroyed.

### onPause

    public void onPause()

  Called when the activity is paused.

### onResume

    public void onResume()

  Called when the activity is resumed.

### onSensorChanged

    public void onSensorChanged(SensorEvent event)

  Called sensors are changed.

### onStop

    public void onStop()

  Called when the activity is stopped.

### bindFinalData

    public void bindFinalData()

  Called when final data button is clicked.

### bindFiveGramAngle

    public void bindFiveGramAngle()

  Called when the five gram tare angle button is clicked

### bindInitialAngle

    public void bindInitialAngle()

  Called when initial tare button is clicked.

### calculateData

    public void calculateData()

  Calculates mass based on data

### debug

    public void debug()

  Debug information

### onAccuracyChanged

    public void onAccuracyChanged(Sensor mSensor,
                                  int accuracy)

  Called when the accuracy of the device is changed. It isn't during the applications lifetime

### setButtonClickListener

    public void setButtonClickListener()

  Sets the click listeners of the buttons